From f38fe440ffff1e9f5a5299d7edd80ad7b9d8e90e Mon Sep 17 00:00:00 2001
From: Rob Jonson <rob@hobbyistsoftware.com>
Date: Sun, 25 Sep 2011 23:11:46 +0100
Subject: [PATCH 06/10] expose make_path to lua

---
 modules/lua/libs/strings.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

diff --git a/modules/lua/libs/strings.c b/modules/lua/libs/strings.c
index d9aeaa5..ab8e435 100644
--- a/modules/lua/libs/strings.c
+++ b/modules/lua/libs/strings.c
@@ -91,6 +91,15 @@ static int vlclua_make_uri( lua_State *L )
     return 1;
 }
 
+static int vlclua_make_path( lua_State *L )
+{
+    const char *psz_input = luaL_checkstring( L, 1 );
+    char *psz_path = make_path( psz_input);
+    lua_pushstring( L, psz_path );
+    free( psz_path );
+    return 1;
+}
+
 static int vlclua_resolve_xml_special_chars( lua_State *L )
 {
     int i_top = lua_gettop( L );
@@ -145,6 +154,7 @@ static const luaL_Reg vlclua_strings_reg[] = {
     { "decode_uri", vlclua_decode_uri },
     { "encode_uri_component", vlclua_encode_uri_component },
     { "make_uri", vlclua_make_uri },
+    { "make_path", vlclua_make_path },
     { "resolve_xml_special_chars", vlclua_resolve_xml_special_chars },
     { "convert_xml_special_chars", vlclua_convert_xml_special_chars },
     { "from_charset", vlclua_from_charset },
-- 
1.7.5

